• Ludovic Courtès's avatar
    Require Guile-Gcrypt >= 0.2.0. · 84c4fdb6
    Ludovic Courtès authored
    * configure.ac: Ensure we have the (gcrypt mac) module.
    * jupyter/kernels.scm: Use (gcrypt mac) instead of (gcrypt hmac).
    (generate-key): Call 'generate-signing-key'.
    * jupyter/messages.scm: Use (gcrypt mac).
    (get-signature): Use 'mac-algorithm' instead of a symbol.
    84c4fdb6
messages.scm 10.6 KB